<?php
include_once ('./core/base.php');
falseauth();

$header = 'Гостиница';

include_once ('./core/head.php');

//Разработка
$_SESSION['message'] = 'В гостинице идёт ремонт. Приходите позже.';
header('Location: /location/');
exit;

if($uloc['hotel'] > 0) {

//Фильтруем данные
$_GET['sleep'] = fl($_GET['sleep']);

//Цена ночи
if($u['level'] >= 1 AND $u['level'] < 6) $h_cost = 250;
elseif($u['level'] > 5 AND $u['level'] <= 10) $h_cost = 500;
elseif($u['level'] > 10 AND $u['level'] <= 15) $h_cost = 1000;
elseif($u['level'] > 15 AND $u['level'] <= 20) $h_cost = 1500;
elseif($u['level'] > 20 AND $u['level'] <= 25) $h_cost = 2500;
elseif($u['level'] > 25 AND $u['level'] <= 30) $h_cost = 5000;
elseif($u['level'] > 30 AND $u['level'] <= 35) $h_cost = 7500;
elseif($u['level'] > 35 AND $u['level'] <= 40) $h_cost = 10000;
elseif($u['level'] > 40 AND $u['level'] <= 45) $h_cost = 15000;
elseif($u['level'] > 45 AND $u['level'] <= 50) $h_cost = 25000;
//Время сна, в секундах
$time_sleep = 300;
//Время бодрости, в минутах
$cheerful_time = 60;

if($_GET['sleep'] == 'yes'){
	if((time() - $u['last_sleep_time']) < ($cheerful_time * 60)){
		$_SESSION['message'] = 'Вы полны сил.';
		header('Location: /city/hotel/');
		exit;
	}
	if($u['sleep'] == 'yes'){
		$_SESSION['message'] = 'Вы уже спите.';
		header('Location: /city/hotel/');
		exit;
	}
	if($u['sleep'] == 'yes'){
		$_SESSION['message'] = 'Вы уже спите.';
		header('Location: /city/hotel/');
		exit;
	}
	$base -> query('UPDATE `users` SET `sleep` = "yes", `sleep_time` = "'.time().'", `silver` = `silver` - "'.$h_cost.'" WHERE `id` = "'.$u['id'].'"');
	$_SESSION['message'] = 'Сняв гостиничный номер, вы уснули.';
	header('Location: /city/hotel/');
	exit;
}

echo '<div class="b">';

echo '<div class="title">Гостиница</div>';

echo '<center><div class="border"><img style="width: 100%; max-width: 336px;" src="/images/places/hotel.png"></div></center>';

echo '<table class="event_info"><tr><td><img src="/images/icons/info.png"></td><td> - Пока вы спите, вы не можете совершать какие-либо действия.<br/>
- В зависимости от приснившегося вам сна, вы можете получить бонус к характеристикам, на некоторое время.</td></tr></table>';

echo '<div class="line"></div>';

if((time() - $u['last_sleep_time']) < ($cheerful_time * 60)){
	$time_to_sleep = ($cheerful_time * 60) - (time() - $u['last_sleep_time']);
	echo '<div class="event"><center><b>Вы полны сил!</b><br/>
	<font color="#B1B1B1">Переночевать можно будет через:</font> <img src="/images/icons/time.png" width="20px"><b>'.tl($time_to_sleep).'</b></center></div>';
}else{
	if($u['sleep'] == 'no'){
		echo '<center><a class="btn_small" href="/city/hotel/sleep/">Переночевать за <img src="/images/icons/silver.png">'.n_f($h_cost).'</a></center>';
	}elseif($u['sleep'] == 'yes'){
		echo '<div class="event"><center><b>Вы спите...</b><br/>
		<font color="#B1B1B1">До конца сна осталось:</font> <img src="/images/icons/time.png" width="20px"><b>'.tl($wake_up_time).'</b></center></div>';
	}
}

if($u['sleep'] == 'yes'){

$_GET['reply'] = fl($_GET['reply']);
$_POST['msg'] = fl($_POST['msg']);

if(isset($_REQUEST['add'])){
	if(!$ban){
		if(strlen($_POST['msg']) > 3 AND strlen($_POST['msg']) < 1024 AND $_POST['msg'] != ''){
			$base -> query('INSERT INTO `chat` SET
				`user` = "'.$u['id'].'",
				`text` = "'.$_POST['msg'].'",
				`time` = "'.time().'"');
			header('Location: /city/hotel/');
			exit;
		}else{
			$_SESSION['message'] = 'Сообщение должно содержать не менее 3 символов и не более 1024.';
			header('Location: /city/hotel/');
			exit;
		}
	}else{
		$_SESSION['message'] = 'Вы сможете писать в чате по истечению срока бана.';
		header('Location: /city/hotel/');
		exit;
	}
}

echo '<div class="title">Чат</div>';

echo '<center>';
echo '<form action="" method="POST">';
if($_GET['reply'] != ''){
	$reply_user = $base -> query('SELECT * FROM `users` WHERE `id` = "'.$_GET['reply'].'"') -> fetch_assoc();
	$reply_text = ''.$reply_user['login'].', ';
}
echo '<input type="text" name="msg" value="'.$reply_text.'" placeholder="Введите сообщение." /> <br/>';
echo '<input type="submit" name="add" value="Написать"></br>';
echo '</form>';
echo '</center>';

$count = $base->query("SELECT * FROM `chat`") -> num_rows;
$k_page = k_page($count,5);
$page = page($k_page);
$start = 5*$page-5;
$sql = $base -> query("SELECT * FROM `chat` ORDER BY `id` DESC LIMIT $start,5");
if($count > 0){
	while($msg = $sql -> fetch_assoc()){
		if($msg['user'] != $u['id']) $reply = ' <a href="/city/hotel/reply/'.$msg['user'].'/">[отв]</a>';
		else $reply = '';
		$msg['text'] = str_replace(array($u['login'].','), "<font style='text-decoration: underline;'><b>".$u['login']."</b></font>, ", $msg['text']);
		echo '<div class="event">'.name($msg['user']).' <font color="#B1B1B1">('.tm($msg['time']).')'.$reply.'</font><br/>
		<div class="text_line"></div>
		'.nl2br(smiles($msg['text'])).'</div>';
	}
	if($count > '5'){
	echo str('?',$k_page,$page);
	}
}else{
	echo '<center>В чате ещё не было сообщений.</center><br/>';
}

}

echo '<br/><a class="btn" href="/city/"><img src="/images/icons/back.png"> Назад</a>';

echo '</div>';

}else{
header('Location: /location/');
exit;
}


include_once ('./core/foot.php');
?>